
require 'ygg/provisioner'

require 'ygg/dns/authoritative_provisioner/version'
require 'ygg/dns/authoritative_provisioner/task'

module Ygg
module Dns
module AuthoritativeProvisioner

class Worker < Ygg::Provisioner::Worker
  self.version = Ygg::Dns::AuthoritativeProvisioner::VERSION
  self.subsystem = 'dns_authoritative_provisioner'
  self.task_class = Task

  init_defaults

  private
  #######

  def init(options = {})
    Zone.config = config
    Zone.agentcfg = agentcfg
    Zone.log = log
    Zone.db_path = agentcfg[:zones_db_path]

    
    super
  end
end

end
end
end
